EDocParser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
EDocParser Class Referencefinal

the main class to read a eDOC file More...

`#include <EDocParser.hxx>`

Inheritance diagram for EDocParser:

## Public Member Functions
| EDocParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor More...
| ~EDocParser () final
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGTextInterface *documentInterface) final
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWTextParser
| ~MWAWTextParser () override
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document More...
void | newPage (int number)
| adds a new page More...
bool | createZones ()
| finds the different objects zones More...
bool | sendContents ()
| try to send the contents More...
bool | sendIndex ()
| try to send the index More...
bool | sendPicture (int pictId, bool compressed)
| try to send a picture More...
bool | readFontsName (MWAWEntry const &entry)
| parse the fonts name eDcF More...
bool | readIndex (MWAWEntry const &entry)
| parse the index zone More...
bool | readInfo (MWAWEntry const &entry)
| parse the Info zone More...
bool | findContents ()
| try to find the content zone More...
bool | decodeZone (MWAWEntry const &entry, librevenge::RVNGBinaryData &dt)
| try to decode a compress zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
MWAWInputStreamPtr | rsrcInput ()
| return the input input More...
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc More...
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWTextParser (MWAWParserStatePtr const &state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
std::shared_ptr< EDocParserInternal::State > | m_state
| the state More...

## Friends
class | EDText

## Detailed Description

the main class to read a eDOC file

## Constructor & Destructor Documentation

## ◆ EDocParser()

EDocParser::EDocParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

## ◆ ~EDocParser()

EDocParser::~EDocParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool EDocParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| finalvirtual

checks if the document header is correct (or not)

no data fork, may be ok, but this means that the file contains no text, so...

Implements MWAWParser.

Referenced by parse().

## ◆ createDocument()

void EDocParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## ◆ createZones()

bool EDocParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

## ◆ decodeZone()

bool EDocParser::decodeZone | ( | MWAWEntry const & | entry,
|  | librevenge::RVNGBinaryData & | dt
| ) |  |
| protected

try to decode a compress zone

Referenced by sendPicture().

## ◆ findContents()

bool EDocParser::findContents | ( |  | ) |
| protected

try to find the content zone

Referenced by createZones().

## ◆ flushExtra()

void EDocParser::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

Referenced by parse().

## ◆ init()

void EDocParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by EDocParser().

## ◆ newPage()

void EDocParser::newPage | ( | int | number | ) |
| protected

adds a new page

Referenced by sendContents().

## ◆ parse()

void EDocParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| finalvirtual

virtual function used to parse the input

Implements MWAWTextParser.

## ◆ readFontsName()

bool EDocParser::readFontsName | ( | MWAWEntry const & | entry | ) |
| protected

parse the fonts name eDcF

Referenced by createZones().

## ◆ readIndex()

bool EDocParser::readIndex | ( | MWAWEntry const & | entry | ) |
| protected

parse the index zone

Referenced by createZones().

## ◆ readInfo()

bool EDocParser::readInfo | ( | MWAWEntry const & | entry | ) |
| protected

parse the Info zone

Referenced by createZones().

## ◆ rsrcAscii()

libmwaw::DebugFile & EDocParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by createZones(), decodeZone(), readFontsName(), readIndex(), and readInfo().

## ◆ rsrcInput()

MWAWInputStreamPtr EDocParser::rsrcInput | ( |  | ) |
| protected

return the input input

Referenced by decodeZone(), readFontsName(), readIndex(), and readInfo().

## ◆ sendContents()

bool EDocParser::sendContents | ( |  | ) |
| protected

try to send the contents

Referenced by parse().

## ◆ sendIndex()

bool EDocParser::sendIndex | ( |  | ) |
| protected

try to send the index

Referenced by sendContents().

## ◆ sendPicture()

bool EDocParser::sendPicture | ( | int | pictId,
|  | bool | compressed
| ) |  |
| protected

try to send a picture

Referenced by flushExtra(), and sendContents().

## Friends And Related Function Documentation

## ◆ EDText

friend class EDText
| friend

## Member Data Documentation

## ◆ m_state

std::shared_ptr<EDocParserInternal::State> EDocParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), findContents(), flushExtra(), init(), newPage(), readIndex(), sendContents(), sendIndex(), and sendPicture().

The documentation for this class was generated from the following files:

- EDocParser.hxx
- EDocParser.cxx